### Enumeration

# AppStream ChecksumKind

#### Declaration

    enum AppStream.ChecksumKind

#### Description [src]

Checksums supported by `AsRelease`.

#### Members

`AS_CHECKSUM_KIND_NONE`

  No checksum.

  - Value: `0`
  - Available since: 1.0
`AS_CHECKSUM_KIND_SHA1`

  SHA1 checksum.

  - Value: `1`
  - Available since: 1.0
`AS_CHECKSUM_KIND_SHA256`

  SHA256 checksum.

  - Value: `2`
  - Available since: 1.0
`AS_CHECKSUM_KIND_SHA512`

  SHA512 checksum.

  - Value: `3`
  - Available since: 1.0
`AS_CHECKSUM_KIND_BLAKE2B`

  BLAKE2 checksum.

  - Value: `4`
  - Available since: 1.0
`AS_CHECKSUM_KIND_BLAKE3`

  BLAKE3 checksum.

  - Value: `5`
  - Available since: 1.0

#### Type functions

###### as_checksum_kind_from_string

Converts the text representation to an enumerated value.

###### as_checksum_kind_to_string

Converts the enumerated value to an text representation.